%define name drakx-installer-rescue
%define version 1.3
%define release %mkrel 5

%define ldetect_lst_version %(rpm -q --queryformat '%{VERSION}-%{RELEASE}' ldetect-lst)

Summary: rescue image
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Development/Other
Url: http://wiki.mandriva.com/Tools/DrakX
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: perl-XML-Parser squashfs-tools mknod-m600
BuildRequires: ldetect-lst-devel
BuildRequires: hexedit grub telnet rsync openssh-clients ftp-client-krb5 console-tools strace
BuildRequires: gpart parted partimage
BuildRequires: dump xfsdump eject testdisk extipl
BuildRequires: xfsprogs reiserfsprogs jfsprogs ntfsprogs dosfstools
BuildRequires: mdadm lvm2 dmraid
BuildRequires: setserial
BuildRequires: mt-st
BuildRequires: pciutils ldetect
BuildRequires: vim-minimal
BuildRequires: drakx-installer-binaries drakxtools-backend drakx-kbd-mouse-x11

#- require the version used during build
Requires: ldetect-lst = %ldetect_lst_version

%description
rescue image

%prep
%setup -q

%build
make -C rescue

%install
rm -rf $RPM_BUILD_ROOT

dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
cp -r rescue/rescue.sqfs $dest

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/%name


%changelog
* Tue Apr 03 2007 Pixel <pixel@mandriva.com> 1.3-5mdv2007.1
+ Revision: 150643
- drakx-kbd-mouse-x11 is no more required by drakxtools-backend, adding explicit BuildRequires
- we can't expect mandriva-release nor mandriva-release to be installed at the moment, removing the check
- mandriva-release is no more, mandriva-release-common is the one to check
- don't depend on mandriva-release %%version-%%release, only on %%version
- rebuild with fixed gzip

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 1.3-2mdv2007.1
+ Revision: 144714
- rebuild

* Thu Feb 08 2007 Pixel <pixel@mandriva.com> 1.3-1mdv2007.1
+ Revision: 118151
- rebuild with valid rights on rescue.sqfs

* Mon Jan 29 2007 Pixel <pixel@mandriva.com> 1.2-1mdv2007.1
+ Revision: 115113
- drakx-installer-binaries are in lib64 on amd64
- mknod-m600 is needed for build
- add needed buildrequires
- initial release
- Create drakx-installer-rescue

